// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdPluginCore",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdPluginCore", targets: ["WebIdPluginCoreWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-ui-components-spm.git",
            .branch("experimental")
        ),
        .package(
            name: "WebIdIosSdk",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-sdk-spm.git",
            .upToNextMinor(from: "10.0.0")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/experimental/de/webid-solutions/WebIdPluginCore/11.0.1/WebIdPluginCore.framework-v11.0.1-SNAPSHOT-251.zip",
            checksum: "d7b3739c14a72e253b323b1d5ba32b4b70553d4a7b21652971fe511baa2c1b63"
        ),
        .target(
            name: "WebIdPluginCoreWrapper",
            dependencies: [
                .target(name: "WebIdPluginCore"),
                // [target dependecies here]
                
                .product(name: "WebIdUiKitComponents", package: "WebIdUiKitComponents"),
                .product(name: "WebIdIosSdk", package: "WebIdIosSdk"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
